This is the mail archive of the cygwin mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: Emacs will not execute, always reports 24.5.1 as version

On 8/1/2016 1:01 PM, Brian Kuhn wrote:
 Has anyone else encountered this issue running Emacs lately and found

For me, Emacs will not start an editing session.  After typing “emacs”
at the command prompt, there is a brief pause while I remain at the
bash shell, and Instead I remain in the bash shell, and after you see
a pause after typing “emacs” at the command prompt, and then you see a
new command prompt.

Try 'emacs -Q' to rule out a problem in your emacs initialization files.

Observation: Emacs reports version 24.5.1 from the command line no
matter which version was installed.  For example, if I install 24.5-2,
$emacs -version reports 24.5.1.  The Cygwin installer subsequently
reports 24.5-2.

This is a common source of confusion. The ".1" in "24.5.1" has nothing to do with the Cygwin release number "-2". (It's actually a build counter and should just be ignored.)


Problem reports:
Unsubscribe info:

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]